WordPress.org

Ready to get started?Download WordPress

Plugin Directory

GoToWebinar Registration

This WordPress plugin background registers folks for a GoToWebinar right from your WordPress site.

Use the [gtwregister] shortcode to register folks for your webinars.

Make sure you pass URL Parameters to this page, i.e. from a registration form. GoToWebinar requires that you supply a first name, last name and an email address.

You can configure your url parameter to GoToWebinar field name mapping in your settings.

To background process a registration, embed the [gtwregister /] shortcode in your page or post. To hardcode any field, specify the value using firstname, lastname, email, phone, servernum (an optional override to the default server number), gtwid (the ID of your webinar), autojoin (optional override to automatically join a webinar already started) and timezone (optional GoToWebinar timezone ID), for example [gtwregister gtwid="23940324" /].

Next set your registration form or opt-in thank you page redirection form to go to the page you created. If using an opt-in form with a thank you page redirect, you must enable the option to pass the opt-in information to the thank you page.

Please note that the only fields you can make required on your GoToWebinar configuration are First Name, Last Name and Email. You can include Phone, but it's best to make it optional unless your opt-in form requires Phone, too. Any other fields marked as "required" in GoToWebinar will cause the registration to fail.

By default, if there is an error, it will be displayed, and if the registration is successful, the success will appear in an HTML comment. You can change these options by passing along commentsuccess and commenterror as in commenterror=1 to force errors to be commented or commentsuccess=0 to display that the registration was successful.

To see the list of optional timezones, view the options page and look for the number after the timezone in the default timezone selection. 61, for example, is EST. 67 is PST.

Requires: 2.0.2 or higher
Compatible up to: 3.8.3
Last Updated: 2014-4-1
Downloads: 3,807

Ratings

3 stars
3 out of 5 stars

Support

0 of 1 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
0,2,0
100,1,1